Skip to main content
`Ctrl`+`K`

# TaoBRGNSetRegularizationType

Set the `TaoBRGNRegularizationType` of a `TAOBRGN`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNSetRegularizationType(Tao tao, TaoBRGNRegularizationType type)

Logically collective

## Input Parameters

- tao - a `Tao` of type `TAOBRGN`

- type - the `TaoBRGNRegularizationType`

## See Also

TAO: Optimization Solvers, `Tao`, `TAOBRGN`, `TaoBRGNRegularizationType`, `TaoBRGNGetRegularizationType`

## Level

advanced

## Location

src/tao/leastsquares/impls/brgn/brgn.c

## Examples

src/tao/leastsquares/tutorials/cs1.c

## Implementations

TaoBRGNSetRegularizationType_BRGN() in src/tao/leastsquares/impls/brgn/brgn.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages